package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TFivesRecordDetailsMapper;
import com.ruoyi.project.production.domain.TFivesRecordDetails;
import com.ruoyi.project.production.service.ITFivesRecordDetailsService;

/**
 * 整改记录详情Service业务层处理
 *
 * @author ruoyi
 * @date 2023-04-04
 */
@Service
public class TFivesRecordDetailsServiceImpl implements ITFivesRecordDetailsService
{
    @Autowired
    private TFivesRecordDetailsMapper tFivesRecordDetailsMapper;

    /**
     * 查询整改记录详情
     *
     * @param id 整改记录详情ID
     * @return 整改记录详情
     */
    @Override
    public TFivesRecordDetails selectTFivesRecordDetailsById(Long id)
    {
        return tFivesRecordDetailsMapper.selectTFivesRecordDetailsById(id);
    }

    /**
     * 查询整改记录详情列表
     *
     * @param tFivesRecordDetails 整改记录详情
     * @return 整改记录详情
     */
    @Override
    public List<TFivesRecordDetails> selectTFivesRecordDetailsList(TFivesRecordDetails tFivesRecordDetails)
    {
        return tFivesRecordDetailsMapper.selectTFivesRecordDetailsList(tFivesRecordDetails);
    }

    /**
     * 新增整改记录详情
     *
     * @param tFivesRecordDetails 整改记录详情
     * @return 结果
     */
    @Override
    public int insertTFivesRecordDetails(TFivesRecordDetails tFivesRecordDetails)
    {
        return tFivesRecordDetailsMapper.insertTFivesRecordDetails(tFivesRecordDetails);
    }

    /**
     * 修改整改记录详情
     *
     * @param tFivesRecordDetails 整改记录详情
     * @return 结果
     */
    @Override
    public int updateTFivesRecordDetails(TFivesRecordDetails tFivesRecordDetails)
    {
        return tFivesRecordDetailsMapper.updateTFivesRecordDetails(tFivesRecordDetails);
    }

    /**
     * 批量删除整改记录详情
     *
     * @param ids 需要删除的整改记录详情ID
     * @return 结果
     */
    @Override
    public int deleteTFivesRecordDetailsByIds(Long[] ids)
    {
        return tFivesRecordDetailsMapper.deleteTFivesRecordDetailsByIds(ids);
    }

    /**
     * 删除整改记录详情信息
     *
     * @param id 整改记录详情ID
     * @return 结果
     */
    @Override
    public int deleteTFivesRecordDetailsById(Long id)
    {
        return tFivesRecordDetailsMapper.deleteTFivesRecordDetailsById(id);
    }
}
